package ru.yandex.wmconsole.data.info;

/**
 * User: baton
 */
public class ShortUsersHostsInfo {
    private final long userId;

    private final long hostId;

    public ShortUsersHostsInfo(long userId, long hostId) {
        this.userId = userId;
        this.hostId = hostId;
    }

    public long getUserId() {
        return userId;
    }

    public long getHostId() {
        return hostId;
    }

    public boolean equals(Object o) {
        if (!(o instanceof ShortUsersHostsInfo)) {
            return false;
        }
        ShortUsersHostsInfo suhi = (ShortUsersHostsInfo) o;

        return suhi.userId == userId && suhi.hostId == hostId;
    }

    public int hashCode() {
        return (int) (userId * 7 + hostId * 13);
    }
}
